Subject: bug#15873: 24.3.50; Make F10 toggle the tmm menu

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Aug 2019 16:45:05 -0700

Eli Zaretskii <[email-masked]> writes:

>> >>From "emacs -Q":
>> > 1. Mx menu-bar-mode
>> > 2. F10
>> > 3. F10
>> >
>> > The first F10 opens up the tmm menu, but the second one tries to do
>> > the same, and fails, obviously.
>> >
>> > IMO, than behavior doesn't make sense, Instead, please make F10 close
>> > the tmm menu if it is already open.  (that would make the behavior
>> > also consistent with that of drop-down TTY menus).
>> >
>> > TIA.
>> >
>> > In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
>> >  of 2013-11-06 on LEG570
>> 
>> (I'm going through old bug reports that have unfortunately gotten no
>> responses yet.)
>> 
>> I've tried reproducing this bug in Emacs 27 both with -nw and without
>> (but under Linux), and I'm not able to.  Are you still seeing this
>> problem in a modern Emacs?
>
> I still see it in Emacs 27 both on GNU/Linux (in a -nw session) and on
> MS-Windows.

Hm.  When I hit F10 (Ubuntu GNU/Linux) with -nw, the File menu opens.
If I hit F10 again, the File menu closes.

I'm unable to see what F10 is bound to for me -- `C-h k F10' just opens
the menu.  :-/

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no